Default [Q] is the at&t htc one on 4.4.2 able to get unlock bootloader?

im sorry if this has been posted and answered many times..ive recently updated my stock htc one from android 4.3 to 4.4.2. ive been trying to unlock my bootloader from the htc dev site but i keep getting a fail error. is the at&t htc one running on 4.4.2 supported for unlocking bootloader?